#include <iostream>

using namespace std;

int main() {
	cin.tie(nullptr);
	ios_base::sync_with_stdio(false);
	
	int duzinaNiza, brojNizova;
	cin >> duzinaNiza;
	
	int niz[duzinaNiza];
	for (int i = 0; i < duzinaNiza; i++) {
		cin >> niz[i];
	}
	
	cin >> brojNizova;
	
	int prvi, poslednji;
	bool neZnamKakoNazvatiOvuPromenljivu;	// Da li sam vec jednom prosao pored broja koji bi trebalo obrisati radi dobijanja neopadajuceg niza
	bool poslatoNe;
	for (int i = 0; i < brojNizova; i++) {
		cin >> prvi >> poslednji;
		
		if (prvi == poslednji) {
			cout << "DA\n";
			continue;
		}
		
		neZnamKakoNazvatiOvuPromenljivu = false;
		poslatoNe = false;
		for (int j = prvi; j < poslednji; j++) {
			if (niz[j] < niz[j-1]) {
				if (neZnamKakoNazvatiOvuPromenljivu) {
					cout << "NE\n";
					poslatoNe = true;
					break;
				} else {
					neZnamKakoNazvatiOvuPromenljivu = true;
				}
			}
		}
		
		if (!poslatoNe) {
			cout << "DA\n";
		}
	}
}